Bug 67669 - Audio Device Conflict USB/PCI
Audio Device Conflict USB/PCI
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-06-28 15:21 EDT by Jason
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-21 17:18:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason 2002-06-28 15:21:14 EDT
Description of Problem: I had a quickcam pro 3000 USB camera w/ a mic plugged in
, and it made sound output break.  sndconfig would correctly identify my card
but would not play a sound etc. i could not play sounds using play or cat
either.  Kudzu also noted this issue and when i removed it i had to have it
remove configurations for 5 sound cars (though i only unplugged the one usb
device).  spot told me to run gmix and it was there that i saw the two deivces,
one a usb device with a mic slider and the other my pci device.  

Version-Release number of selected component (if applicable):

How Reproducible:  plug in a quickcam pro 3000 on a machine with the Intel AC'97
pci audio controller.  to remedy, unplug the camera, no known remedy otherwise,
i suppose i could remove the device through kudzu, though i've not tried it.  i
also had to rmmod an 'audio' module from the soundcore after i unplugged the usb
device to enable sound.  

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information: The system is an ibm intellistation z pro 6866.
Comment 1 Need Real Name 2002-10-28 12:59:02 EST
I have this problem too.  I think the reason is the microphone on the USB camera
is assigned as /dev/audio0 and the soundcard is /dev/audio1.  The microphone is
obviously incapable of being a sound output device.  Need to prioritise/check
the capabilities of sound devices on bootup/hotplug to ensure microphones such
as these are not used as the primary sound output.  Workround is to plug the
camera into the PC after bootup, and hence PCI soundcard is assigned to /dev/audio0.
Comment 2 Bill Nottingham 2005-01-21 17:18:57 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.